
/**
 * Copyright 2012-2013 Clint Combs
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.newhart.mongodb

import com.mongodb.casbah.Imports.MongoConnection

trait NewhartMongo {
  val dbName = "newhart"

  // TODO: reconsider this method; is it necessary? Can classes and traits that
  // extend this trait handle the connection on their own?
  def con(): MongoConnection
}
